Send crypto to an external address. The source wallet must belong to your business. The customer must belong to your business and have a VERIFIED status. The address must not be a Blaaiz wallet address. The request needs approved KYB and an Idempotency-Key. Required scope: crypto-payout:create.
Authorization
oauth2ClientCredentials crypto-payout:createUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: crypto-payout:create
Header Parameters
A unique key for this payout request.
length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl --request POST \ --url 'https://example.com/api/external/crypto/payouts' \ --header 'Idempotency-Key: string' \ --header 'Content-Type: application/json' \ --data '{ "customer_id": "customer-id", "wallet_id": "wallet-id", "amount": "100.000000", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET", "token": "USDC"}'{ "message": "Crypto payout initiated successfully.", "data": { "id": "transaction-id", "reference": "CRYPTO-REF", "status": "processing", "wallet_id": "wallet-id", "customer_id": "customer-id", "currency": "USDC", "destination_currency": "USDC", "rate": "1.00000000", "amount": "100.000000", "fee": "1.000000", "net_amount": "99.000000", "destination_amount": "99.000000", "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123", "network": "ETHEREUM_MAINNET" }}GETGet a crypto transaction
Get one API-created crypto transaction. An active on-chain payout returns `processing`. A payout that ends unsuccessfully returns `failed`. Required scope: `crypto-transaction:read`.
POSTCreate a crypto swap
Swap crypto to crypto, crypto to fiat, or fiat to crypto. Both wallets must belong to your business. The request needs approved KYB and an `Idempotency-Key`. Required scope: `crypto-swap:create`.